Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#25072 - [alex][happy][cabal-install] missing makedepnds

Attached to Project: Arch Linux
Opened by Eric Belanger (Snowman) - Friday, 08 July 2011, 20:48 GMT
Last edited by Thomas Dziedzic (tomd123) - Saturday, 03 March 2012, 17:11 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Vesa Kaihlavirta (vegai)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:

Missing Makedepends
---------------------
extra/alex --> 'ghc=7.0.2'
extra/cabal-install --> 'ghc=7.0.2'
extra/happy --> 'ghc=7.0.2'

Is the version in the makedepends necessary? Could the '=' be replaced by '>=' instead? Doing these changes would prevent errors like this. Either that or keep the correct version of ghc in extra.

Also, I noticed that these packages have a decimal pkgrel when pkgrel is usually an integer.
This task depends upon

Closed by  Thomas Dziedzic (tomd123)
Saturday, 03 March 2012, 17:11 GMT
Reason for closing:  Fixed
Additional comments about closing:  ghc 7.4.1

Loading...